# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# There is currently no check script because upstream's tests have bitrotted.
# Upstream has been informed of the situation.

Name:           sympol
Version:        0.1.8
Release:        alt1_5
Summary:        Symmetric polyhedra tool

Group:          Engineering
License:        GPLv2+
URL:            http://www.math.uni-rostock.de/~rehn/software/sympol.html
Source0:        http://www.math.uni-rostock.de/~rehn/software/%{name}-%{version}.tar.gz
Source1:        http://www.math.uni-rostock.de/~rehn/software/%{name}-manual-0.1.pdf

BuildRequires:  bliss-devel
BuildRequires: boost-devel boost-filesystem-devel boost-wave-devel boost-graph-parallel-devel boost-math-devel boost-mpi-devel boost-program_options-devel boost-signals-devel boost-intrusive-devel boost-asio-devel
BuildRequires: ctest cmake
BuildRequires:  cddlib-devel
BuildRequires:  eigen3
BuildRequires: libgmp-devel libgmp_cxx-devel
BuildRequires:  lrslib-devel
BuildRequires:  permlib-devel

Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
Source44: import.info

%description
SymPol is a C++ tool to work with symmetric polyhedra.  It helps to
compute restricted automorphisms (parts of the linear symmetry group) of
polyhedra and performs polyhedral description conversion up to a given
or computed symmetry group.

%package libs
Summary:        Symmetric polyhedra library
Group:          Development/C

%description libs
This package contains the SymPol library.

%package devel
Summary:        Headers and libraries for developing SymPol applications
Group:          Development/C
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
Requires:       eigen3

%description devel
This package contains the headers and library files needed to develop
SymPol applications.

%prep
%setup -q
cp -p %{SOURCE1} .

# Do not use the bundled cddlib, lrslib, or permlib
rm -fr external/{cddlib-094f,lrslib-042c,permlib}
sed -e "/(external/d" \
    -e "s|-O3 -g|-I%{_includedir}/cddlib -I%{_includedir}/lrslib -DBLISS_USE_GMP|" \
    -i CMakeLists.txt

# Eigen3 3.1.2 adds the need to link explicitly with -lpthread
sed -i 's/{Boost_LIBRARIES}/& pthread/' sympol/CMakeLists.txt
sed -i 's/{GMP_LIBRARIES}/& pthread/' test/CMakeLists.txt

%build
export LDFLAGS="$RPM_LD_FLAGS -Wl,--as-needed"
%{fedora_cmake} -DCMAKE_BUILD_TYPE=RelWithDebInfo
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

# Fix some header files with broken includes
cd $RPM_BUILD_ROOT%{_includedir}/%{name}
for f in *.h; do
  sed -r -e 's|(#include ").*/(.*")|\1\2|' -i.orig $f
  touch -r $f.orig $f
  rm -f $f.orig
done

%files
%doc %{name}-manual-0.1.pdf
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%files libs
%doc AUTHORS COPYING
%{_libdir}/lib%{name}.so.*

%files devel
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}/

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.8-alt1_5
- initial fc import

